// pages/wx_authority/wx_authority.js
import { sharePage, isFn } from '../../utils/util.js'
const { saveUserInfo, getWxloginCode } = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    canIUseGetUserInfo: wx.canIUse('button.open-type.getUserInfo'),
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    getWxloginCode(code => {
      this.setData({ code })
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    if (isFn(sharePage)) return sharePage()
  },

  /**
   * 获取微信用户信息 
   */
  getUserInfoCtl: function (e) {
    const { detail } = e
    const { userInfo, errMsg = '触发获取微信用户信息失败' } = detail
    if (userInfo) {
      if (isFn(saveUserInfo)) saveUserInfo(detail, this.data.code)
    } else {
      wx.showToast({
        title: '触发微信授权失败',
        icon: 'none'
      })
    }
  },
})